# ディレクトリの移動
	rm(list = ls(all = TRUE))
	setwd("C:/SummerSchool/GenomeDataAnalysis4/1KG_EUR");
	library(MASS);
	
	file <- "1KG_EUR_chr2Q_MAF005.5M.phased.ihs.out";
	table <- read.table(file, header=FALSE);
	Posi <- table[,2];
	iHS <- table[,6];

	LCTSNP <- 136608646; # s4988235
	bin <- 2500000;
	flag <- Posi > LCTSNP-bin & Posi < LCTSNP+bin;

	png(file="1KG_EUR_chr2Q_MAF005.5M.phased.ihs.Histogram.png", width = 600, height = 500);
	truehist(iHS, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, xlim=c(-4, 4), main="Histogram of iHS z-score", xlab="iHS z-score", ylab="");
	dev.off();

	png(file="1KG_EUR_chr2Q_MAF005.5M.phased.ihs.Regional.png", width = 800, height = 500);
	plot(Posi, iHS, pch=16, col=4, xlab="Chromosome 2 Position", ylab="iHS z-score", ylim=c(-4, 4), cex=0.5, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, main="Regional plot of iHS z-score");par(new=T);
	plot(LCTSNP, iHS[Posi==LCTSNP], pch=16, col=2, xlab="", ylab="", ylim=c(-4, 4), cex=2, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, main="", axes=F);
	abline(h=0);
	dev.off();

	png(file="1KG_EUR_chr2Q_MAF005.5M.phased.ihs.Regional.LCT.png", width = 800, height = 500);
	plot(Posi[flag], iHS[flag], pch=16, col=4, xlab="Chromosome 2 Position", ylab="iHS z-score", ylim=c(-4, 4), cex=0.75, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, main="Regional plot of iHS z-score");par(new=T);
	plot(LCTSNP, iHS[Posi==LCTSNP], pch=16, col=2, xlab="", ylab="", ylim=c(-4, 4), cex=2, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, main="", axes=F);
	abline(h=0);
	dev.off();
	
